MonoX support board

Start the conversation, ask questions and share tips and solutions with fellow developers.

Non-registered users can only browse through our support boards. Please register now if you want to post your questions. It takes a second and it is completely free. Alternatively, you can log in without registration using your credentials at major sites such as Google, Microsoft Live, OpenId, Facebook, LinkedIn or Yahoo.

Telerik WEB UI assembly version for MonoX Version 4.7.40.4063  (Mono Support )

Viewed 16170 time(s), 10 post(s) 2/28/2013 10:28:58 PMby darryljneil
darryljneil

darryljneil

2/28/2013 10:28:58 PM
I have only a brief question regarding the Telerik.Web.UI dll. I’ve published our web site to a
staging environment but now receive the following error:

 “Could not load file or assembly 'Telerik.Web.UI, Version=2012.3.1016.40, Culture=neutral, PublicKeyToken=121fae78165ba3d4' or one of its dependencies. The located assembly's manifest definition does not match the assembly reference. (Exception from HRESULT: 0x80131040)”

The biggest issue I’m dealing with at the moment is that my C# project references a different assembly version of Telerik.Web.UI.dll, using version 2011.1.322.40. I’m unsure why our staging environment is attempting to load version 2012.3.1016.40. I attempted to reference the new version (2012.3.1016.40) in my C# project, but then get an error that  version 2011.1.322.40 is attempting to be loaded. I seem to be stuck in this recursive pattern of error. Which version of Telerik.Web.UI.dll should I reference? 

I am using MonoX version 4.7.40.4063

Thanks,
Darryl
This content has not been rated yet. 
207 Reputation 23 Total posts
khorvat

khorvat

3/1/2013 7:24:27 AM
Hi,

MonoX is using the 2012.3.1016.40 version of Telerik.Web.UI so that should be the one to use, can you let me know if you previously had the 4.5 release and then upgraded to 4.7 ? If that is the case I think that you are missing some 4.7 assemblies, in other words maybe you didn't upgraded everything.

Let me know if that is the case.

Thanks
This content has not been rated yet. 
15993 Reputation 2214 Total posts
khorvat

khorvat

3/1/2013 7:37:31 AM
One other dirty fix would be, as you need to fix this ASAP, to use the assembly binding in the web.config similar to this:

<assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Telerik.Web.UI" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2011.1.322.40" newVersion="2012.3.1016.40" />
      </dependentAssembly>
</assemblyBinding>
Regards 
This content has not been rated yet. 
15993 Reputation 2214 Total posts
darryljneil

darryljneil

3/1/2013 2:48:20 PM
Kristijan to answer your first question, no I've not used a previous version of MonoX, our first use of MonoX was with the release of the new version, 4.7. 
I will attempt the fix you supplied in your second post and post my results back on the forum topic.

Darryl
This content has not been rated yet. 
207 Reputation 23 Total posts
darryljneil

darryljneil

3/4/2013 9:03:50 PM
No dice.
Here is my current error, please read the error as well as the comments after the error to gain a clear understanding of my situation.
======================================================================================================
Server Error in '/' Application.Parser ErrorDescription: An error occurred during the parsing of a resource required to service this request. Please review the following specific parse error details and modify your source file appropriately. 

Parser Error Message: Could not load file or assembly 'Telerik.Web.UI, Version=2011.1.322.40, Culture=neutral, PublicKeyToken=121fae78165ba3d4' or one of its dependencies. The located assembly's manifest definition does not match the assembly reference. (Exception from HRESULT: 0x80131040)

Source Error: 

Line 1: <%@ Control Language="C#" AutoEventWireup="true" Inherits="MonoSoftware.MonoX.ModuleGallery.MonoXHtmlEditor" Codebehind="MonoXHtmlEditor.ascx.cs" %>
Line 2: <%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
Line 3: <%@ Register Src="/MonoX/controls/MonoXRating.ascx" TagPrefix="monox" TagName="MonoXRating" %>
Source File: /MonoX/ModuleGallery/MonoXHtmlEditor.ascx    Line: 1 

Assembly Load Trace: The following information can be helpful to determine why the assembly 'Telerik.Web.UI, Version=2011.1.322.40, Culture=neutral, PublicKeyToken=121fae78165ba3d4' could not be loaded.

WRN: Assembly binding logging is turned OFF.
To enable assembly bind failure logging, set the registry value [HKLM\Software\Microsoft\Fusion!EnableLog] (DWORD) to 1.
Note: There is some performance penalty associated with assembly bind failure logging.
To turn this feature off, remove the registry value [HKLM\Software\Microsoft\Fusion!EnableLog].

======================================================================================================

I've discovered one possible source of the issue. We have installed MonoX v4.7.40.4136 on our staging server. This version has a reference to Telerik.Web.UI.dll version 2012.3.1016.40. Everything fine here.
I installed MonoX and created a custom project using MonoX v4.7.40.4063, which uses Telerik.Web.UI.dll version 2011.1.322.40
Maybe this is an issue?

I took the liberty of now completely resetting my development environment using a fresh install of MonoX v4.7.40.4136 to develop against. I even went so far as to publish my newly installed development version of MonoX to our staging site. Which brings me to the error that I've copied in the beginning of this post.
Again, any help is appreciated. This issue is dragging on, although I'm not sure it's through the fault of MonoX.

Darryl
This content has not been rated yet. 
207 Reputation 23 Total posts
khorvat

khorvat

3/5/2013 8:05:53 AM
You should definitely upgrade your custom solution based on 4.7.40.4063 to newer version, so can you please check if your custom project has a reference to older version of Telerik and if it has set "Specific Version" to true ?

Regards
This content has not been rated yet. 
15993 Reputation 2214 Total posts
darryljneil

darryljneil

3/5/2013 3:02:35 PM
As of last night, I've completely started the project and solution over using version 4.7.40.4136 of MonoX. I'm not sure what you mean when you say "if it has set "Specific Version" to true". Can you elaborate?

Thanks again!
This content has not been rated yet. 
207 Reputation 23 Total posts
khorvat

khorvat

3/5/2013 3:34:55 PM
Inside your custom project you have "References" (inside Visual Studio - Solution Explorer) and if you click on the Telerik.Web.UI reference and open properties (you should get the Visual Studio - Preference Window) there should be a option called "Specific Version" if you set that to true, Visual Studio will throw an exception if you have different version of that assembly.

Regards
This content has not been rated yet. 
15993 Reputation 2214 Total posts
darryljneil

darryljneil

3/5/2013 3:39:47 PM
Ok, I see what you are talking about. I'm now seeing the 2012.3.1016.40 version of Telerik.Web.UI dll, and specific version is set to 'True'.
This content has not been rated yet. 
207 Reputation 23 Total posts
khorvat

khorvat

3/5/2013 3:47:34 PM
Yup, that's what I'm talking about, so next time if MonoX upgrades some library you should uncheck the libraries "Specific Version" option and you should be good to go.
This content has not been rated yet. 
15993 Reputation 2214 Total posts